Tag Parser: TagParser::TruncatedDataException Class Reference

Tag Parser 12.5.2 C++ library for reading and writing MP4 (iTunes), ID3, Vorbis, Opus, FLAC and Matroska tags

Loading...
Searching...
No Matches
Public Member Functions | List of all members
TagParser::TruncatedDataException Class Reference

The exception that is thrown when the data to be parsed is truncated and therefore can not be parsed at all. More...

`#include <exceptions.h>`

Inheritance diagram for TagParser::TruncatedDataException:
[legend]
Collaboration diagram for TagParser::TruncatedDataException:
[legend]

## Public Member Functions
| TruncatedDataException () noexcept
| Constructs a new exception.
virtual | ~TruncatedDataException () noexcept
| Destroys the exception.
virtual const char * | what () const noexcept
| Returns a C-style character string describing the cause of the exception.
Public Member Functions inherited from TagParser::InvalidDataException
| InvalidDataException () noexcept
| Constructs a new exception.
virtual | ~InvalidDataException () noexcept
| Destroys the exception.
Public Member Functions inherited from TagParser::Failure
| Failure () noexcept
| Constructs a new exception.
virtual | ~Failure () noexcept
| Destroys the exception.

## Detailed Description

The exception that is thrown when the data to be parsed is truncated and therefore can not be parsed at all.

Definition at line 39 of file exceptions.h.

## Constructor & Destructor Documentation

## ◆ TruncatedDataException()

TagParser::TruncatedDataException::TruncatedDataException | ( |  | ) |
| noexcept

Constructs a new exception.

Definition at line 129 of file exceptions.cpp.

## ◆ ~TruncatedDataException()

TagParser::TruncatedDataException::~TruncatedDataException | ( |  | ) |
| virtualnoexcept

Destroys the exception.

Definition at line 136 of file exceptions.cpp.

## Member Function Documentation

## ◆ what()

const char * TagParser::TruncatedDataException::what | ( |  | ) | const
| virtualnoexcept

Returns a C-style character string describing the cause of the exception.

Reimplemented from TagParser::InvalidDataException.

Definition at line 143 of file exceptions.cpp.

The documentation for this class was generated from the following files:

- exceptions.h
- exceptions.cpp